﻿@using Microsoft.AspNetCore.Http
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
    <meta name="theme-color" content="#fe773f" />
    <meta name="msapplication-navbutton-color" content="#fe773f" />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="#fe773f" />
    <title>SEKOLAH AT-TAUFIQ :: @ViewData["Title"]</title>

    <script src="~/assets/modules/jquery.min.js"></script>
    <link rel="stylesheet" href="~/assets/modules/summernote/summernote-bs4.css">
    <script src="~/assets/modules/summernote/summernote-bs4.js"></script>
    <link rel="shortcut icon" href="/assets/img/atq.png" />
    <link rel="stylesheet" href="~/assets/modules/select2/dist/css/select2.min.css">
    <link rel="stylesheet" href="~/assets/modules/bootstrap/css/bootstrap.min.css">
    @* <link rel="stylesheet" href="~/assets/modules/fontawesome/css/all.min.css"> *@
    <link rel="stylesheet" href="~/assets/css/web.css">
    <link rel="stylesheet" href="~/assets/css/style.css">
    <link rel="stylesheet" href="~/assets/css/components.css">

    <!---PLUGIN--->
    <link rel="stylesheet" href="~/assets/plugin/clockpicker/jquery-clockpicker.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="~/assets/plugin/datatable/1.10.19/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/rowreorder/1.2.7/css/rowReorder.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.5/css/responsive.dataTables.min.css">

    <link rel="stylesheet" href="~/assets/plugin/sweetalert/dist/sweetalert.css">
    <link rel="stylesheet" href="~/assets/plugin/datepicker/datepicker.css">
    <link rel="stylesheet" href="~/assets/modules/izitoast/css/iziToast.min.css">
    <link rel="stylesheet" href="~/assets/plugin/animated/animated.css">
    
@* 
    <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script> *@

    <style>
        #chartdiv {
            width: 100%;
            height: 250px;
            font-size: 11px;
        }

        .popover.clockpicker-popover {
            z-index: 1050;
        }
    </style>
    <!-- WEB -->
    <script type="text/javascript">
        function ProgressBar(Status) {
            if (Status == "wait") {
                $("body").css("cursor", "progress");
                $("#loading").removeAttr("style");
            } else if (Status == "success") {
                $("body").css("cursor", "default");
                $("#loading").css("display", "none");
            }
        }
        function ProgressBarForm(Status) {
            if (Status == "wait") {
                $("body").css("cursor", "progress");
                $(".loading-form").removeAttr("style");
            } else if (Status == "success") {
                $("body").css("cursor", "default");
                $(".loading-form").css("display", "none");
            }
        }
        $(document).ready(function () {
            if (jQuery().summernote) {
                setTimeout((e) => {
                    $('.summernote').summernote({
                        placeholder: 'Hello Bootstrap 4',
                        tabsize: 20,
                        height: 300
                    });
                }, 7000)
                
                $('.summernote').summernote('destroy');

                $(".summernote-simple").summernote({
                    dialogsInBody: true,
                    minHeight: 310,
                    toolbar: [
                        ['style', ['bold', 'italic', 'underline', 'clear']],
                        ['font', ['strikethrough']],
                        ['para', ['paragraph']]
                    ]
                });
            }
            $('.select2').select2({
                containerCssClass: 'select2-container',
                width: 'resolve',
                minimumResultsForSearch: 'Infinity'
            });
        })
    </script>
</head>

<body>
    <div id="loading" style="display:none;">
        <div style="margin-top: 210px;"><center><img src="~/assets/img/loading.gif" width="150px" alt="Loading..." /></center></div>
        <div style="margin-top: -20px;"><center><b><font color="white">Sedang memuat, harap menunggu...</font></b></center></div>
    </div>
    <div id="app">
        <div class="main-wrapper main-wrapper-1">
            <div class="navbar-bg"></div>
            @await Component.InvokeAsync("MenuApps")
            <!-- Main Content -->
            <div class="main-content">
                @RenderBody()
            </div>
            @Html.Partial("Components/GantiPassword")
            @Html.Partial("Components/UpdateProfile")
            @Html.Partial("Components/CariBerkasPpdb")
            @Html.Partial("Components/ModalSiswa")
            <footer class="main-footer">
                <div class="footer-left">
                    Copyright &copy; 2021 <div class="bullet"></div> Made with <i class="fa fa-heart text-danger"></i> By <a href="https://sekolahattaufiq.id/">SEKOLAH ATTAUFIQ</a>
                </div>
                <div class="footer-right">

                </div>
            </footer>
        </div>
    </div>

    <!-- General JS Scripts -->
    <script src="~/assets/modules/popper.js"></script>
    <script src="~/assets/modules/tooltip.js"></script>
    <script src="~/assets/modules/bootstrap/js/bootstrap.min.js"></script>
    <script src="~/assets/modules/nicescroll/jquery.nicescroll.min.js"></script>
    <script src="~/assets/modules/moment.min.js"></script>
    <script src="~/assets/js/stisla.js"></script>


    <!-- JS Libraies -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.3.1/jspdf.umd.min.js"></script>
    <script src="~/assets/plugin/printThis/printThis.js" type="text/javascript"></script>
    <script src="~/assets/plugin/clockpicker/jquery-clockpicker.min.js"></script>
    <script src="~/assets/modules/prism/prism.js"></script>
    <script src="~/assets/js/page/bootstrap-modal.js"></script>
    <script src="~/assets/plugin/amcharts3/amcharts.js" type="text/javascript"></script>
    <script src="~/assets/plugin/amcharts3/serial.js" type="text/javascript"></script>
    <script src="~/assets/plugin/amcharts3/radar.js" type="text/javascript"></script>
    <script src="~/assets/plugin/amcharts3/pie.js" type="text/javascript"></script>
    <script src="~/assets/plugin/amcharts3/plugins/animate/animate.min.js" type="text/javascript"></script>
    <script src="~/assets/plugin/amcharts3/plugins/export/export.min.js" type="text/javascript"></script>
    <script src="~/assets/plugin/amcharts3/themes/light.js"></script>
    <script src="~/assets/plugin/amcharts3/themes/black.js"></script>
    <script src="~/assets/plugin/amcharts3/themes/dark.js"></script>
    <script src="~/assets/plugin/amcharts3/themes/costum.js"></script>
    <script src="~/assets/modules/izitoast/js/iziToast.min.js"></script>
    <script src="~/assets/modules/select2/dist/js/select2.full.min.js"></script>
    <script src="~/assets/plugin/datatable/1.10.19/js/jquery.dataTables.js"></script>
    <link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css" />
    <script src="https://cdn.datatables.net/buttons/1.6.1/js/dataTables.buttons.min.js" type="text/javascript"></script>
    <script src="~/assets/plugin/datatable/1.10.19/js/dataTables.bootstrap4.min.js"></script>

    <script src="https://cdn.datatables.net/rowreorder/1.2.7/js/dataTables.rowReorder.min.js"></script>
    <script src="https://cdn.datatables.net/responsive/2.2.5/js/dataTables.responsive.min.js"></script>

    <script src="~/assets/plugin/sweetalert/dist/sweetalert.js"></script>
    <script src="~/assets/plugin/jquery-mask/jquery.mask.min.js"></script>
    <script src="~/assets/plugin/datepicker/datepicker.js"></script>
    <script src="~/assets/plugin/ckeditor/ckeditor.js"></script>
	<script src="~/assets/plugin/ckfinder/ckfinder.js"></script>
	<script type="text/javascript">
    
 
    
  
		
    </script>

    <!-- Template JS File -->
    <script src="~/assets/js/scripts.js"></script>
    <script src="~/assets/js/custom.js"></script>
    <script type="text/javascript">
        var jsPDF = window.jspdf.jsPDF;
        $(document).ready(function() {
            if(jsPDF && jsPDF.version) {
                $('#dversion').text('Version ' + jsPDF.version);
            }
        });
    </script>

    @{
        var randomx = new Random();
        var valuex = randomx.Next();
        <script type="text/javascript" src="~/assets/appjs/function.js?n=@valuex"></script>
        <script type="text/javascript" src="~/assets/appjs/combo.js?n=@valuex"></script>
    }

    <!-- WEB -->
    @*Defined Load Module js each Controllers add by eri safari *@
    @{
        var randomxx = new Random();
        var valuexx = randomxx.Next();
        if (ViewBag.ModuleJs != null)
        {
            foreach (var item in ViewBag.ModuleJs)
            {
                <script src="~/assets/appjs/@item.Path/@item.NameJs?n=@valuexx" asp-append-version="true"></script>
            }
        }
    }
    @{
        var random = new Random();
        var value = random.Next();
        <script type="text/javascript" src="~/assets/appjs/user.js?n=@value"></script>
    }

    <script src="https://www.gstatic.com/firebasejs/7.14.6/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/7.14.6/firebase-messaging.js"></script>
    <script type="text/javascript">
        function geojson(){
            //firebase notif
            const firebaseConfig = {
                apiKey: "AIzaSyCIEAav_s8lUwbPXgzAHupPXScfMdF_MzA",
                authDomain: "swg-attaufiq.firebaseapp.com",
                projectId: "swg-attaufiq",
                storageBucket: "swg-attaufiq.appspot.com",
                messagingSenderId: "1006170673539",
                appId: "1:1006170673539:web:9cdc0ba00a4f6ffc2ba6b6"
            };
            firebase.initializeApp(firebaseConfig);
            const messaging = firebase.messaging();
        
            function IntitalizeFireBaseMessaging() {
                messaging
                    .requestPermission()
                    .then(function () {
                        console.log("Notification Permission");
                        return messaging.getToken();
                    })
                    .then(function (token) {
                        $.ajax({
                            url: `${base_url}/Api/Pegawais/UpdateTokenFcmPegawai?Token=${token}`,
                            type: 'GET',
                            dataType: 'JSON',
                            beforeSend: (e) => {
                                ProgressBar('wait');
                            },
                            success: (res) => {
                                ProgressBar('success');
                                console.log("Token : "+ token);
                            },
                            error: (e) => {
                                ProgressBar('success');
                                console.log('err')
                            }
                        })
                    })
                    .catch(function (reason) {
                        console.log(reason);
                    });
            }
        
            messaging.onMessage(function (payload) {
                console.log(payload);
                const notificationOption={
                    body:payload.notification.body,
                    icon:payload.notification.icon
                };
        
                if(Notification.permission === "granted"){
                    var notification=new Notification(payload.notification.title,notificationOption);
        
                    notification.onclick=function (ev) {
                        ev.preventDefault();
                        window.open(payload.notification.click_action,'_blank');
                        notification.close();
                    }
                }
        
            });
            messaging.onTokenRefresh(function () {
                messaging.getToken()
                    .then(function (newtoken) {
                        $.ajax({
                            url: `${base_url}/Api/Pegawais/UpdateTokenFcmPegawai?Token=${newtoken}`,
                            type: 'GET',
                            dataType: 'JSON',
                            beforeSend: (e) => {
                                ProgressBar('wait');
                            },
                            success: (res) => {
                                ProgressBar('success');
                                console.log("newtoken : "+ newtoken);
                            },
                            error: (e) => {
                                ProgressBar('success');
                                console.log('err newtoken')
                            }
                        })
                    })
                    .catch(function (reason) {
                        console.log(reason);
                    })
            })
            IntitalizeFireBaseMessaging();
            
            //get latlon
            if (navigator.geolocation) {
                navigator.geolocation.getCurrentPosition(showPosition, showError);
            } else { 
                Swal.fire({
                    title: "Info",
                    html: 'Browser tidak didukung, silahkan menggunakan browser lain',
                    type: "info",
                }).then((result) => {
                    window.location = base_url + 'users/logout';
                });
            }

            function showPosition(position) {
                console.log('position.coords.longitude -> ', position.coords.longitude)
                console.log('position.coords.latitude -> ', position.coords.latitude)
                
            }

            function showError(error) {
                switch(error.code) {
                    case error.PERMISSION_DENIED:
                        //Swal.fire({
                        //    title: "Info",
                        //    html: 'Tolong izinkan kami untuk mengakses lokasi anda !',
                        //    type: "info",
                        //}).then((result) => {
                            //window.location = base_url + 'users/logout';
                        //});
                        break;
                    case error.POSITION_UNAVAILABLE:
                        Swal.fire({
                            title: "Info",
                            html: 'Lokasi anda tidak dapat ditemukan, nyalakan GPS !',
                            type: "info",
                        }).then((result) => {
                            //window.location = base_url + 'users/logout';
                        });
                        break;
                    case error.TIMEOUT:
                        Swal.fire({
                            title: "Info",
                            html: 'The request to get user location timed out !',
                            type: "info",
                        }).then((result) => {
                            //window.location = base_url + 'users/logout';
                        });
                        window.location.reload(10);
                        break;
                    case error.UNKNOWN_ERROR:
                        Swal.fire({
                            title: "Info",
                            html: 'An unknown error occurred !',
                            type: "info",
                        }).then((result) => {
                            //window.location = base_url + 'users/logout';
                        });
                        window.location.reload(10);
                        break;
                }
            }
        }

        geojson()
        </script>
        <script>
            if ("serviceWorker" in navigator) {
                window.addEventListener("load", function () {
                    // navigator.serviceWorker.register("/flutter_service_worker.js");
                    navigator.serviceWorker.register("/firebase-messaging-sw.js");
                });
            }
        </script>
       
</body>

</html>